Skip to main content
GET
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
policies
/
{policy_id}
/
assignments
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/policies/{policy_id}/assignments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/policies/{policy_id}/assignments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/policies/{policy_id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "assignments": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "enabled": true,
      "granted_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "policy_id": "<string>",
      "priority": 123,
      "role_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "granted_by": "<string>",
      "revoked_at": "2023-11-07T05:31:56Z",
      "revoked_by": "<string>",
      "valid_from": "2023-11-07T05:31:56Z",
      "valid_until": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
kb_id
string
required
policy_id
string
required

Query Parameters

role_id
string | null

Restrict to bindings for this role.

enabled
boolean | null

Restrict to enabled or disabled bindings. Omit for both.

include_revoked
boolean

When true, include revoked bindings. Defaults to false.

page_token
string | null

Response

200 - application/json

Assignments listed

assignments
object[]
required
next_page_token
string | null